Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2954 - autofs restart bug (and packaging request)
Summary: autofs restart bug (and packaging request)
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-21 18:59 UTC by weejock-rhbug
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-18 17:38:39 UTC


Attachments (Terms of Use)

Description weejock-rhbug 1999-05-21 18:59:34 UTC
Hi,

1) initscript bug:
I noticed that commenting out a line from auto.master and
then running:
/etc/rc.d/init.d/autofs restart

does not remove the old mount.

2) Packaging request:
Could the sub-config files by moved into a directory like
auto.d?  I find it rather easier to manage that way.

Cheers,
Matthew.

Comment 1 Jay Turner 1999-05-24 19:44:59 UTC
Confirmed in test lab.  The only way to get the system to forget about
the mount point is to stop and then start autofs.

Comment 2 Cristian Gafton 1999-06-18 17:38:59 UTC
are you sure the mount point does not timeout when it should ? It will
not disappear immediately...

Please reopen if that is the case.

------- Additional Comments From   06/18/99 14:31 -------
Sure.  This is _not_ the an automagically mounted filesystem, but
rather the autofs filesystem itself which hangs around:

(The "automount(pid1311) on /mnt/elks type autofs" one.)

------- Additional Comments From   06/18/99 14:31 -------
Sure.  This is _not_ the an automagically mounted filesystem, but
rather the autofs filesystem itself which hangs around:

(The "automount(pid1311) on /mnt/elks type autofs" one.)

------- Additional Comments From   06/18/99 14:32 -------
Sure.  This is _not_ the an automagically mounted filesystem, but
rather the autofs filesystem itself which hangs around:

(The "automount(pid1311) on /mnt/elks type autofs" one.)

------- Email Received From  Matthew Kirkwood <weejock@ferret.lmh.ox.ac.uk> 06/18/99 14:35 -------


Note You need to log in before you can comment on or make changes to this bug.